## kdeutils 4.6.5-0ubuntu1.2+5.0trisquel1

=== ark/plugins/CMakeLists.txt ===
if (LIBARCHIVE_FOUND)
    if( HAVE_LIBARCHIVE_READ_DISK_API )
        if( NOT HAVE_LIBARCHIVE_LZMA_SUPPORT OR NOT HAVE_LIBARCHIVE_XZ_SUPPORT )
            message(STATUS "Your libarchive does not have support for lzma and/or xz archives. libarchive >= 2.7.0 is recommended.")
        endif( NOT HAVE_LIBARCHIVE_LZMA_SUPPORT OR NOT HAVE_LIBARCHIVE_XZ_SUPPORT )
        add_subdirectory( libarchive )
    else( HAVE_LIBARCHIVE_READ_DISK_API )
        # Remove the cached variables from FindLibArchive.cmake
        unset( LIBARCHIVE_FOUND )
        unset( LIBARCHIVE_INCLUDE_DIR )
        unset( LIBARCHIVE_LIBRARY )
        message(STATUS "Your libarchive does not have support for archive_read_disk api. libarchive >= 2.6.0 is needed.")
    endif( HAVE_LIBARCHIVE_READ_DISK_API )
endif (LIBARCHIVE_FOUND)


add_subdirectory( cliunarchiverplugin )
add_subdirectory( cli7zplugin )
add_subdirectory( clizipplugin )
add_subdirectory( libsinglefileplugin )

## kdeutils 4.4.5

=== debian/changelog ===
kdeutils (4:4.4.5-1+squeeze1) stable; urgency=low

  * Non-maintainer upload.
  * CVE-2011-2725: Backport patch for upstream directory traversal in Ark
    Closes: #635541 (thanks to Moritz Muehlenhoff)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 18 Mar 2012 21:36:25 +0000

kdeutils (4:4.4.5-1) unstable; urgency=low

  [ Modestas Vainius ]
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Update email address
  * Update descriptions

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 14:21:55 +0200

kdeutils (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Move debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:20 +0300

kdeutils (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:57 +0300

kdeutils (4:4.4.2-1) experimental; urgency=low

  * New upstream release:
    - Fixes paint recursion in "three bullet" password mode. (Closes: #525540)
    - kgpg now handles 8-bit messages from gpg --decrypt properly.
      (Closes: #538510)

  [ Modestas Vainius ]
  * Add myself as uploader.
  * Fix Vcs-Browser URL.
  * libkdeinit4_*.so have been moved to private directory (Closes: #553114);
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump KDE build dependencies to 4:4.4.
  * Bump pkg-kde-tools build dependency to 0.6.4.

  [ Pino Toscano ]
  * Fix typos in okteta's description. (Closes: #569074)

  [ Sune Vuorela ]
  * Kdessh is finally gone. Remove the packages.
  * Remove libknotification-dev from build-deps. Not used
  * Update installed files

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 Apr 2010 18:40:24 +0300

kdeutils (4:4.3.4-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Build depend on libkvm-dev on kfreebsd-*. Needed by superkaramba
    (Closes: #560407).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 11 Dec 2009 02:28:59 +0200

kdeutils (4:4.3.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Pino Toscano:

  * Add liblzma-dev build-depend to add XZ support in Ark.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

  +++ Changes by Modestas Vainius:

  * Bump KDE build dependencies to current version.
  * Update install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:12 +0200

kdeutils (4:4.3.2-1) unstable; urgency=low

  * New upstream release.
  
  +++ Changes by Karl Ferdinand Ebert:

  * Add source.lintian-overrides to ignore lintian warning about missing
    debug depends.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Bump KDE build dependencies to 4.3.2. Add versioned build depend to 
    libknotificationitem-1-dev as well.
  * Remove 01_fix_kscd.profile.xml.diff patch, merged upstream.
  * Update okteta.install

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 15 Oct 2009 19:25:09 +0200

kdeutils (4:4.3.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Fathi Boudra:

  * Bump KDE build dependencies to 4.3.1.
  * Bump Standards-Version to 3.8.3 (no changes needed).
  * Update debian/kdelirc.install file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 31 Aug 2009 12:03:34 +0200

kdeutils (4:4.3.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyrights: years and copyright word.
  * Bump build dependencies to >= 4.3.0.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 04 Aug 2009 09:21:42 +0200

kdeutils (4:4.2.96-1) experimental; urgency=low

  * New upstream release.
  * Drop backported patch from upstream.
  * Update debian/control:
    - Add libknotificationitem-1-dev, libkonq5-dev and libqca2-dev build
      dependencies.
    - Remove libzip-dev build dependency, replaced by a cli plugin.
    - Bump Standards-Version from 3.8.1 to 3.8.2 (no changes needed).
    - Add kdelirc package.
  * Update debian/copyright: add kdelirc copyrights.
  * Update installed files.

 -- Fathi Boudra <fabo@debian.org>  Wed, 15 Jul 2009 09:33:24 +0200

kdeutils (4:4.2.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * Fix sections.
  * Backport a patch to write better xml in kwalletmanager.
    (Closes: 530419)

  +++ Changes by Fathi Boudra:

  * Bump Standards-Version from 3.8.0 to 3.8.1 (no changes needed).

  +++ Changes by Pino Toscano:

  * Remove ncompress and zoo from ark recommends.
  * Add rar and  unrar | unrar-free to ark suggests.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 02 May 2009 12:35:15 +0200

kdeutils (4:4.2.2-1) unstable; urgency=low

  * New upstream release:
    - Fix message "decryption failed" when verifying an untrusted signature.
     (Closes: #398293)
    - Fix default server duplication in preferences dialog. (Closes: #427404)
  * Update installed files in kwalletmanager.install.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 05 Apr 2009 13:08:10 +0200

kdeutils (4:4.2.1-1) experimental; urgency=low

  * New upstream release.



=== debian/control ===
Source: kdeutils
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.4), kdepimlibs5-dev (>= 4:4.4), 
 libgmp3-dev, libqimageblitz-dev (>= 1:0.0.4-2), libsnmp-dev,
 libarchive-dev, libx11-dev, libxrender-dev, python-support,
 libqca2-dev, libkonq5-dev (>= 4:4.4), liblzma-dev, libkvm-dev [ kfreebsd-i386 kfreebsd-amd64 ],
 kdebase-workspace-dev (>= 4:4.4)
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdeutils/#_trunk_packages_kdeutils_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdeutils

Package: kdeutils
Architecture: all
Depends: ark (>= ${source:Version}), kcalc (>= ${source:Version}),
 kcharselect (>= ${source:Version}), 
 kdf (>= ${source:Version}), kfloppy (>= ${source:Version}),
 kgpg (>= ${source:Version}), ktimer (>= ${source:Version}),
 kwalletmanager (>= ${source:Version}), okteta (>= ${source:Version}),
 plasma-scriptengine-superkaramba (>= ${source:Version}), sweeper (>= ${source:Version})
Description: general-purpose utilities from the official KDE release
 This metapackage includes general-purpose utilities provided with the
 official release of KDE.

Package: kdeutils-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdebase-runtime-dbg
Suggests: kdeutils (= ${source:Version})
Description: debugging symbols for the KDE utilities module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE utilities module.


Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, zip, unzip
Suggests: rar, unrar | unrar-free
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: archive utility 
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE utilities module.

Package: kcalc
Section: math
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple and scientific calculator
 KCalc is a scientific calculator.
 .
 KCalc provides:
  * Trigonometric functions, logic operations, and statistical calculations
  * Calculation in decimal, hexadecimal, octal, and binary bases
  * Memory functions for storing results
  * A comprehensive collection of mathematical constants
 .
 This package is part of the KDE utilities module.

Package: kcharselect
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: special character utility
 KCharSelect is a utility for finding special characters which are not
 available on the keyboard.  It can search for characters by Unicode number,
 display characters in any font, and copy characters to the clipboard so they
 can be pasted into documents.
 .
 This package is part of the KDE utilities module.

Package: kdelirc
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lirc
Description: infrared remote control 
 KDELirc is a frontend for the Linux Infrared Remote Control system (LIRC).
 .
 KDELirc consists of two parts:
  * a systemtray applet acting as a proxy between the LIRC system and D-Bus.
  * a control module.
 .
 This package is part of the KDE utilities module.

Package: kdf
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: disk information utility
 KDiskFree displays information about hard disks and other storage devices,
 including the amount of free space available.  It can also mount and unmount
 storage devices and view them in the file manager.
 .
 KwikDisk is an icon for the system tray that provides convenient access to
 the features of KDiskFree.
 .
 This package is part of the KDE 4 utilities module.

Package: kfloppy
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: floppy formatter
 Kfloppy is a utility for formatting floppy disks.
 .
 This package is part of the KDE utilities module.

Package: kgpg
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical front end for GNU Privacy Guard
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE utilities module.

Package: ktimer
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: countdown timer
 KTimer is a countdown timer for running commands after a delay.
 The countdown can be paused or set to loop continuously.
 .
 This package is part of the KDE utilities module.

Package: kwalletmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: utils
Description: secure password wallet manager
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 KWallet Manager is a utility for viewing and editing information stored in
 the KDE Wallet.
 .
 This package is part of the KDE utilities module.

Package: okteta
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: hexadecimal editor for binary files
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 The data is displayed in the traditional view with two columns: one with the
 numeric values and one with the assigned characters. Editing can be done both
 in the value column and the character column. Besides the usual editing
 capabilities Okteta also brings a small set of tools, like a table listing
 decodings into common simple data types, a table listing all possible bytes
 with its character and value equivalents, a info view with a statistic and a
 filter tool. All modifications to the data loaded can be endlessly undone or
 redone.
 .
 This package is part of the KDE utilities module.

Package: plasma-scriptengine-superkaramba
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdebase-workspace-bin
Replaces: superkaramba
Conflicts: superkaramba
Description: SuperKaramba theme support for the Plasma Workspaces
 This package provides SuperKaramba scriptengine for Plasma. It brings
 support for the SuperKaramba interactive desktop applets, called "themes", to
 the Plasma desktop.
 .
 This package is part of the KDE utilities module.

Package: sweeper
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: history and temporary file cleaner
 Sweeper can quickly remove temporary information, such as web page cookies,
 browser history, or the list of recently-opened documents.  It helps provide
 additional privacy on a system shared between multiple users.
 .
 This package is part of the KDE 4 utilities module.

Package: printer-applet
Section: utils
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-qt4-dbus, python-cups, python-kde4 (>= 4:4.1.82)
Recommends: hal-cups-utils, system-config-printer
Description: manages your printing jobs
 Printer applet lets you easily manage your printing jobs.
 .
 This package is part of the KDE utilities module.

## kdeutils 4.5.1

=== debian/changelog ===
kdeutils (4:4.5.1-0ubuntu2) maverick; urgency=low

  * Add kubuntu_01_printer_applet_trunk.diff from upstream, fixes icons
    and a crash

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 22 Sep 2010 17:58:34 +0100

kdeutils (4:4.5.1-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Update install files.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 31 Aug 2010 09:44:31 +0200

kdeutils (4:4.5.0b-0ubuntu1) maverick; urgency=low

  * New tar from upstream
  * No need to build-dep on python-qt4-dev and python-kde4-dev, they are
    run dependencies

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 23:20:03 +0100

kdeutils (4:4.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump on build-depends
    - Update install files

 -- Michał Zając <michal.zajac@gmail.com>  Sat, 31 Jul 2010 16:25:45 +0200

kdeutils (4:4.4.92-0ubuntu2) maverick; urgency=low

  * Add debian/patches/kubuntu_01_printer_applet_pyqt47.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 29 Jul 2010 12:46:15 +0100

kdeutils (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump kde-sc-dev-latest to 4.4.92

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 09 Jul 2010 04:21:43 +0200

kdeutils (4:4.4.90-0ubuntu2) maverick; urgency=low

  * Add kdelirc transitional package which depends on kremotecontrol
    (LP: #599933)
  * kremotecontrol conflicts/replaces kdelirc (<< 4:4.4.90)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 01 Jul 2010 03:56:45 +0200

kdeutils (4:4.4.90-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Bump on build-depends
    - Added libqjson-dev, python-qt4-dev, python-kde4-dev to
    build-dependencies

 -- Michał Zając <michal.zajac@gmail.com>  Fri, 25 Jun 2010 17:23:27 +0200

kdeutils (4:4.4.85-0ubuntu2) maverick; urgency=low

  * Rebuild for libsolidcontrol4 -> libsolidcontrol4a transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 13 Jun 2010 03:19:54 +0200

kdeutils (4:4.4.85-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Bump build-depends
    - Drop README.source no longer need
    - Update install files
    - Add separator in printer-applet depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 08 Jun 2010 21:18:35 +0200

kdeutils (4:4.4.80-0ubuntu1) maverick; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 May 2010 09:49:30 +0000

kdeutils (4:4.4.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Add desktop/utilities-file-archiver.xpm icon needed by ark
    - Keep Kubuntu docs path
    - Don't add libkvm-dev (Universe)
    - Add  libzip-dev, python-all-dev, python-qt4-dev, python-kde4-dev,
      python-cups, python-sip4-dev, python-kde4, zlib1g-dev,
      system-config-printer-common, shared-desktop-ontologies to build-depends
    - Add kdelirc, printer-applet to kdeutils metapackage
    - ark suggests  bzip2, p7zip-full, zip, unzip, not recommends
    - ark does not support CD images - fix description
    - Keep our more verbose description for printer-applet and keep our
      depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 21 May 2010 04:10:24 +0200

kdeutils (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Bump build-depend versions 
    - Fix obsolete-relation-form-in-source in printer-applet replaces/conflicts

 -- Roderick B. Greening <roderick.greening@gmail.com>  Mon, 03 May 2010 18:34:57 -0230

kdeutils (4:4.4.2-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Bump build-depend versions
    - Update okteta.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Mar 2010 22:48:55 +0100

kdeutils (4:4.4.1-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release:
    - Bump build-depend versions
    - Update kdelirc.install, printer-applet.install and okteta.install
  * Backport svn revision 1089254 (LP: #521061)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 28 Feb 2010 11:30:24 -0500

kdeutils (4:4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-deps 

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 05 Feb 2010 02:09:03 +0100

kdeutils (4:4.3.98-0ubuntu1) lucid; urgency=low

  [ Michał Zając ]
  * New upstream release
  * Added debian/patches/kubuntu_01_knotification_printer_applet.diff
  * Added quilt to build-deps

  [ Alessandro Ghersi ]
    - Bump build-deps

 -- Michał Zając <michal.zajac@gmail.com>  Mon, 01 Feb 2010 20:30:57 +0100

kdeutils (4:4.3.95-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-deps

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 20 Jan 2010 14:24:03 +0100

kdeutils (4:4.3.90-0ubuntu1) lucid; urgency=low

  * New upstream release candidate:
    - Bump build-depend versions
    - Remove kdessh packaging, it was removed upstream

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 07 Jan 2010 08:59:13 -0500

kdeutils (4:4.3.85-0ubuntu1) lucid; urgency=low

  * New upstream beta release
  * Bump on build-depends
  * Removed patches/ and dropped quilt because there are no patches
  * Changes in install files

 -- Michal Zajac <michal.zajac@gmail.com>  Sat, 19 Dec 2009 21:12:25 +0100

kdeutils (4:4.3.80-0ubuntu1) lucid; urgency=low

  * New upstream beta release.
  * Bump on build-deps.
  * Added shared-desktop-ontologies and kdebase-workspace-dev as
    Build-Depends. Dropped libknotificationitem-dev since it went to
    kdelibs5-dev
  * Dropped kubuntu_01_kgpg_key_gen.diff, went upstream.
  * Changes in install files
  * Added kubuntu_01_disable_doc_generation.diff to stop the build from
    hanging at docs, we need to look further at this issue with later releases
    - Commented out docs files in *.install

 -- Michal Zajac <michal.zajac@gmail.com>  Sun, 06 Dec 2009 19:39:36 +0100

kdeutils (4:4.3.3-0ubuntu1) lucid; urgency=low



=== debian/control ===
Source: kdeutils
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.5.0),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.5),
 libgmp3-dev, libqimageblitz-dev (>= 1:0.0.4-2), libsnmp-dev,
 libarchive-dev, libx11-dev, libxrender-dev, python-support,
 libqca2-dev, libkonq5-dev (>= 4:4.5), liblzma-dev,
 kdebase-workspace-dev (>= 4:4.5),
 libzip-dev, shared-desktop-ontologies, shared-mime-info,
 libqjson-dev, python2.6-dev
Standards-Version: 3.8.4
Homepage: http://utils.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdeutils/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdeutils/ubuntu

Package: kdeutils
Architecture: all
Depends: ark (>= ${source:Version}), kcalc (>= ${source:Version}),
 kcharselect (>= ${source:Version}),
 kdf (>= ${source:Version}), kfloppy (>= ${source:Version}),
 kgpg (>= ${source:Version}), ktimer (>= ${source:Version}),
 kwalletmanager (>= ${source:Version}), okteta (>= ${source:Version}),
 plasma-scriptengine-superkaramba (>= ${source:Version}), sweeper (>= ${source:Version}),
 kremotecontrol (>= ${source:Version}), printer-applet (>= ${source:Version})
Description: general-purpose utilities from the official KDE 4 release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes general-purpose utilities provided with the
 official release of KDE 4.

Package: kdeutils-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdebase-runtime-dbg
Suggests: kdeutils (= ${source:Version})
Description: debugging symbols for the KDE 4 utilities module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE 4 utilities module.


Package: ark
Section: utils
Architecture: any
Suggests: bzip2, p7zip-full, zip, unzip, rar, unrar | unrar-free
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: archive utility for KDE 4
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip.
 It can be used to browse, extract, create, and modify archives.
 .
 This package is part of the KDE 4 utilities module.

Package: kcalc
Section: math
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: calculator for KDE 4
 KCalc is a scientific calculator.
 .
 KCalc provides:
  * Trigonometric functions, logic operations, and statistical calculations
  * Calculation in decimal, hexadecimal, octal, and binary bases
  * Memory functions for storing results
  * A comprehensive collection of mathematical constants
 .
 This package is part of the KDE 4 utilities module.

Package: kcharselect
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: special character utility for KDE 4
 KCharSelect is a utility for finding special characters which are not
 available on the keyboard.  It can search for characters by Unicode number,
 display characters in any font, and copy characters to the clipboard so they
 can be pasted into documents.
 .
 This package is part of the KDE 4 utilities module.

Package: kremotecontrol
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lirc
Conflicts: kdelirc (<< 4:4.4.90)
Replaces: kdelirc (<< 4:4.4.90)
Description: infrared remote control
 KRemoteControl is a frontend for the Linux Infrared Remote Control system (LIRC).
 .
 KRemoteControl consists of two parts:
  * a systemtray applet acting as a proxy between the LIRC system and D-Bus.
  * a control module.
 .
 This package is part of the KDE 4 utilities module.

Package: kdelirc
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kremotecontrol
Description: infrared remote control - transitional package
 KDELirc is a frontend for the Linux Infrared Remote Control system (LIRC).
 .
 KDELirc consists of two parts:
  * a systemtray applet acting as a proxy between the LIRC system and D-Bus.
  * a control module.
 .
 This is a transitional package for kremotecontrol, and can be safely removed
 after the installation is complete.

Package: kdf
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: disk information utility for KDE 4
 KDiskFree displays information about hard disks and other storage devices,
 including the amount of free space available.  It can also mount and unmount
 storage devices and view them in the file manager.
 .
 KwikDisk is an icon for the system tray that provides convenient access to
 the features of KDiskFree.
 .
 This package is part of the KDE 4 utilities module.

Package: kfloppy
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: floppy formatter for KDE 4
 Kfloppy is a utility for formatting floppy disks.
 .
 This package is part of the KDE 4 utilities module.

Package: kgpg
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: encryption utility for KDE 4
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE 4 utilities module.

Package: ktimer
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: countdown timer for KDE 4
 KTimer is a countdown timer for running commands after a delay.
 The countdown can be paused or set to loop continuously.
 .
 This package is part of the KDE 4 utilities module.

Package: kwalletmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: utils
Description: secure password wallet manager for KDE 4
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 KWallet Manager is a utility for viewing and editing information stored in
 the KDE Wallet.
 .
 This package is part of the KDE 4 utilities module.

Package: okteta
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: hexadecimal editor for binary files for KDE 4
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 The data is displayed in the traditional view with two columns: one with the
 numeric values and one with the assigned characters. Editing can be done both
 in the value column and the character column. Besides the usual editing
 capabilities Okteta also brings a small set of tools, like a table listing
 decodings into common simple data types, a table listing all possible bytes
 with its character and value equivalents, a info view with a statistic and a
 filter tool. All modifications to the data loaded can be endlessly undone or
 redone.
 .
 This package is part of the KDE 4 utilities module.

Package: plasma-scriptengine-superkaramba
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdebase-workspace-bin
Replaces: superkaramba
Conflicts: superkaramba
Description: SuperKaramba theme support for the KDE 4 Plasma desktop
 This package provides SuperKaramba scriptengine for Plasma. It brings
 support for the SuperKaramba interactive desktop applets, called "themes", to
 the Plasma desktop.
 .
 This package is part of the KDE 4 utilities module.

Package: sweeper
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: history and temporary file cleaner for KDE 4
 Sweeper can quickly remove temporary information, such as web page cookies,
 browser history, or the list of recently-opened documents.  It helps provide
 additional privacy on a system shared between multiple users.
 .
 This package is part of the KDE 4 utilities module.

Package: printer-applet
Section: utils
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 python-cups (>= 1.9.27), system-config-printer-common,
 python-kde4, python-qt4-dbus, python
Description: printer status applet
 Printer-applet is a system tray utility.  It shows current print jobs,
 shows printer warnings and errors and shows when printers that have
 been plugged in for the first time are being auto-configured by
 Cups.
 .
 This package is part of the KDE 4 utilities module.

## kdeutils 4.5.5

=== debian/changelog ===
kdeutils (4:4.5.5-0ubuntu2.2) maverick-security; urgency=low

  * SECURITY UPDATE: fix directory traversal in Ark
    - debian/patches/CVE-2011-2725.patch: filter out '../' when previewing
      archives
    - CVE-2011-2725
    - LP: #878619

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 08 Nov 2011 16:25:32 -0600

kdeutils (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Apr 2011 03:03:23 -0400

kdeutils (4:4.5.5-0ubuntu1ppa1) maverick; urgency=low

  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Jan 2011 23:04:53 +0000

kdeutils (4:4.5.4-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release

 -- Philip Muskovac <yofel@gmx.net>  Wed, 01 Dec 2010 17:57:48 +0100

kdeutils (4:4.5.3-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Nov 2010 19:26:00 +0000

kdeutils (4:4.5.2-0ubuntu1~ppa1) maverick; urgency=low

  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 22:38:15 +0000

kdeutils (4:4.5.2-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 22:38:02 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.5.0),
+Build-Depends: kde-sc-dev-latest (>= 4:4.5.3),
  cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.6.4),
  kdelibs5-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.5),
  libgmp3-dev, libqimageblitz-dev (>= 1:0.0.4-2), libsnmp-dev,

=== debian/rules ===
#!/usr/bin/make -f

DEB_CMAKE_CUSTOM_FLAGS += -DINSTALL_PRINTER_APPLET:BOOL=TRUE

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

binary-install/printer-applet::
	dh_pysupport -pprinter-applet

## kdeutils 4.6.2

=== debian/changelog ===
kdeutils (4:4.6.2-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Apr 2011 15:25:01 +0000

kdeutils (4:4.6.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Mar 2011 14:19:14 +0000

kdeutils (4:4.6.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * Refreshed install files

 -- Michał Zając <quintasan@kubuntu.org>  Sat, 22 Jan 2011 11:29:28 +0100

kdeutils (4:4.5.95-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Jan 2011 17:32:47 +0000

kdeutils (4:4.5.90-0ubuntu1) natty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 22 Dec 2010 23:46:38 +0000

kdeutils (4:4.5.85-0ubuntu3) natty; urgency=low

  * Build-depend on python-dev instead of python2.6-dev

 -- Scott Kitterman <scott@kitterman.com>  Sat, 11 Dec 2010 18:19:11 -0500

kdeutils (4:4.5.85-0ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Dec 2010 16:52:12 +0000

kdeutils (4:4.5.85-0ubuntu1) natty; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Dec 2010 12:05:54 +0000

kdeutils (4:4.5.80-0ubuntu2) natty; urgency=low

  * Add missing build-depend on pkg-config to fix FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Mon, 29 Nov 2010 16:23:18 -0500

kdeutils (4:4.5.80-0ubuntu1) natty; urgency=low

  * New upstream beta release
  * Remove kubuntu_01_printer_applet_trunk.diff now upstream
  * Build-dep on qjson >= 0.7.1-1ubuntu1 which has the cmake module
    where it can be found
  * Remove okteta, now in kdesdk
  * Add package filelight, moved into kdeutils from standalone app by upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Nov 2010 13:21:43 +0000

kdeutils (4:4.5.3-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Nov 2010 15:23:36 +0000

kdeutils (4:4.5.2-0ubuntu2) natty; urgency=low

  * Build against libkon5-dev (>= 4:4.5.2-0ubuntu1) for libkon5 -> libkon5a
    transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 23 Oct 2010 22:27:13 +0200

kdeutils (4:4.5.2-0ubuntu1) natty; urgency=low

  [ Alessandro Ghersi ]
  * Merge with Debian git remaining changes:
    - Add  libzip-dev, shared-desktop-ontologies, shared-mime-info,
      libqjson-dev, python-2.6 to build-dependencies
    - Add utilities-file-archiver.xpm icon needed by ark
    - Don't add libkvm-dev (not in archive)
    - Add kdelirc, printer-applet to kdeutils metapackage
    - ark suggests  bzip2, p7zip-full, zip, unzip, not recommends
    - ark does not support CD images - fix description
    - Keep our more verbose description for printer-applet and keep our
      depends
    - kdelirc package is replaced by kremotecontrol in KDE SC 4.5
    - Build against kdelibs5-dev 4.5.2-0ubuntu1 for libkutils4 transition

  [ Jonathan Riddell ]
  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 18 Oct 2010 04:42:16 +0200

kdeutils (4:4.4.5-2) UNRELEASED; urgency=low

  * Point debian/control Vcs fields to the new Git repository.

 -- Modestas Vainius <modax@debian.org>  Mon, 26 Jul 2010 23:24:39 +0300

=== debian/control ===
Source: kdeutils
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.6.0),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.5),
 libgmp3-dev, libqimageblitz-dev (>= 1:0.0.4-2), libsnmp-dev,
 libarchive-dev, libx11-dev, libxrender-dev, python-support,
 libqca2-dev, libkonq5-dev (>= 4:4.5.2-0ubuntu1), liblzma-dev,
 kdebase-workspace-dev (>= 4:4.5), pkg-config,
 libzip-dev, shared-desktop-ontologies, shared-mime-info,
 libqjson-dev (>= 0.7.1-1ubuntu1), python-dev
Standards-Version: 3.8.4
Homepage: http://utils.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdeutils/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdeutils/ubuntu

Package: kdeutils
Architecture: all
Depends: ark (>= ${source:Version}), kcalc (>= ${source:Version}),
 kcharselect (>= ${source:Version}),
 kdf (>= ${source:Version}), kfloppy (>= ${source:Version}),
 kgpg (>= ${source:Version}), ktimer (>= ${source:Version}),
 kwalletmanager (>= ${source:Version}),
 plasma-scriptengine-superkaramba (>= ${source:Version}), sweeper (>= ${source:Version}),
 kremotecontrol (>= ${source:Version}), printer-applet (>= ${source:Version})
Description: general-purpose utilities from the official KDE release
 This metapackage includes general-purpose utilities provided with the
 official release of KDE.

Package: kdeutils-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdebase-runtime-dbg
Suggests: kdeutils (= ${source:Version})
Description: debugging symbols for the KDE utilities module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE utilities module.


Package: ark
Section: utils
Architecture: any
Suggests: bzip2, p7zip-full, zip, unzip, rar, unrar | unrar-free
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip.
 It can be used to browse, extract, create, and modify archives.
 .
 This package is part of the KDE utilities module.

Package: kcalc
Section: math
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple and scientific calculator
 KCalc is a scientific calculator.
 .
 KCalc provides:
  * Trigonometric functions, logic operations, and statistical calculations
  * Calculation in decimal, hexadecimal, octal, and binary bases
  * Memory functions for storing results
  * A comprehensive collection of mathematical constants
 .
 This package is part of the KDE utilities module.

Package: kcharselect
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: special character utility
 KCharSelect is a utility for finding special characters which are not
 available on the keyboard.  It can search for characters by Unicode number,
 display characters in any font, and copy characters to the clipboard so they
 can be pasted into documents.
 .
 This package is part of the KDE utilities module.

Package: kremotecontrol
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lirc
Conflicts: kdelirc (<< 4:4.4.90)
Replaces: kdelirc (<< 4:4.4.90)
Description: infrared remote control
 KRemoteControl is a frontend for the Linux Infrared Remote Control system
 (LIRC).
 .
 KRemoteControl consists of two parts:
  * a systemtray applet acting as a proxy between the LIRC system and D-Bus.
  * a control module.
 .
 This package is part of the KDE utilities module.

Package: kdelirc
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kremotecontrol
Description: infrared remote control - transitional package
 KDELirc is a frontend for the Linux Infrared Remote Control system (LIRC).
 .
 KDELirc consists of two parts:
  * a systemtray applet acting as a proxy between the LIRC system and D-Bus.
  * a control module.
 .
 This is a transitional package for kremotecontrol, and can be safely removed
 after the installation is complete.

Package: kdf
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: disk information utility
 KDiskFree displays information about hard disks and other storage devices,
 including the amount of free space available.  It can also mount and unmount
 storage devices and view them in the file manager.
 .
 KwikDisk is an icon for the system tray that provides convenient access to
 the features of KDiskFree.
 .
 This package is part of the KDE utilities module.

Package: kfloppy
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: floppy formatter
 Kfloppy is a utility for formatting floppy disks.
 .
 This package is part of the KDE utilities module.

Package: kgpg
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical front end for GNU Privacy Guard
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE utilities module.

Package: ktimer
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: countdown timer
 KTimer is a countdown timer for running commands after a delay.
 The countdown can be paused or set to loop continuously.
 .
 This package is part of the KDE utilities module.

Package: kwalletmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: utils
Description: secure password wallet manager
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 KWallet Manager is a utility for viewing and editing information stored in
 the KDE Wallet.
 .
 This package is part of the KDE utilities module.

Package: plasma-scriptengine-superkaramba
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdebase-workspace-bin
Replaces: superkaramba
Conflicts: superkaramba
Description: SuperKaramba theme support for the Plasma Workspaces
 This package provides SuperKaramba scriptengine for Plasma. It brings
 support for the SuperKaramba interactive desktop applets, called "themes", to
 the Plasma desktop.
 .
 This package is part of the KDE utilities module.

Package: sweeper
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: history and temporary file cleaner
 Sweeper can quickly remove temporary information, such as web page cookies,
 browser history, or the list of recently-opened documents.  It helps provide
 additional privacy on a system shared between multiple users.
 .
 This package is part of the KDE utilities module.

Package: printer-applet
Section: utils
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 python-cups (>= 1.9.27), system-config-printer-common,
 python-kde4, python-qt4-dbus, python
Description: printer status applet
 Printer-applet is a system tray utility.  It shows current print jobs,
 shows printer warnings and errors and shows when printers that have
 been plugged in for the first time are being auto-configured by
 Cups.
 .
 This package is part of the KDE utilities module.

Package: filelight
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.
